Bug 109959 - Privacy page should not be displayed if cfg['useRhn']=0
Summary: Privacy page should not be displayed if cfg['useRhn']=0
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-13 13:51 UTC by Albert Strasheim
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 22:19:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to turn off privacy page for non-RHN users (951 bytes, patch)
2003-11-13 13:59 UTC, Albert Strasheim
no flags Details | Diff

Description Albert Strasheim 2003-11-13 13:51:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I have up2date configured to use only local yum repository (behind our
university's firewall). up2date should not try to download Red Hat's
privacy statement in this case. Patch attached.

Version-Release number of selected component (if applicable):
up2date-4.1.16-1

How reproducible:
Always

Steps to Reproduce:
1. configure /etc/sysconfig/rhn/sources to use only yum repository
2. start up2date on pc with no access to red hat's site
3. click forward

    

Actual Results:  up2date hangs trying to load privacy page.

Expected Results:  up2date should display the channels page.

Additional info:

Proposed patch will be attached.

Comment 1 Albert Strasheim 2003-11-13 13:59:55 UTC
Created attachment 95943 [details]
Patch to turn off privacy page for non-RHN users

Apply the patch to /usr/share/rhn/up2date_client/gui.py.

Comment 2 Adrian Likins 2003-11-22 18:21:43 UTC
hmm, yeah.  should land in rawhide/fedora updates shortly...

as a workaround, use the commandline functionality for the
time being. 

Comment 3 Adrian Likins 2003-11-24 20:52:47 UTC
4.2.3 has the fix, should be in rawhide/updates soon


Note You need to log in before you can comment on or make changes to this bug.